postgresql-8.1 8.1.18-0ubuntu0.6.06 source package in Ubuntu

Changelog

postgresql-8.1 (8.1.18-0ubuntu0.6.06) dapper-security; urgency=low

  * New upstream bug fix/security release: (LP: #430544)
    - Disallow "RESET ROLE" and "RESET SESSION AUTHORIZATION" inside
      security-definer functions.
      This covers a case that was missed in the previous patch that
      disallowed "SET ROLE" and "SET SESSION AUTHORIZATION" inside
      security-definer functions. (See CVE-2007-6600)
    - Fix handling of sub-SELECTs appearing in the arguments of an
      outer-level aggregate function.
    - Fix hash calculation for data type interval.
      This corrects wrong results for hash joins on interval values. It
      also changes the contents of hash indexes on interval columns. If
      you have any such indexes, you must "REINDEX" them after updating.
    - Treat to_char(..., 'TH') as an uppercase ordinal suffix with
      'HH'/'HH12'
      It was previously handled as 'th' (lowercase).
    - Fix overflow for INTERVAL 'x ms' when "x" is more than 2 million
      and integer datetimes are in use.
    - Fix calculation of distance between a point and a line segment.
      This led to incorrect results from a number of geometric operators.
    - Fix money data type to work in locales where currency amounts have
      no fractional digits, e.g. Japan.
    - Properly round datetime input like
      00:12:57.9999999999999999999999999999
    - Fix poor choice of page split point in GiST R-tree operator classes
    - Fix portability issues in plperl initialization
    - Fix pg_ctl to not go into an infinite loop if "postgresql.conf" is
      empty
    - Fix "contrib/xml2"'s xslt_process() to properly handle the maximum
      number of parameters (twenty)
    - Improve robustness of libpq's code to recover from errors during
      "COPY FROM STDIN"
    - Avoid including conflicting readline and editline header files when
      both libraries are installed

 -- Martin Pitt <email address hidden>   Wed, 16 Sep 2009 08:30:31 +0000

Upload details

Uploaded by:
Martin Pitt on 2009-09-16
Sponsored by:
Jamie Strandboge
Uploaded to:
Dapper
Original maintainer:
Martin Pitt
Architectures:
any
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
postgresql-8.1_8.1.18.orig.tar.gz 11.0 MiB 7da333081769d34c352e929720d824d5dcc26dd0973bca280dd810a4b8cbe563
postgresql-8.1_8.1.18-0ubuntu0.6.06.diff.gz 31.0 KiB 21e066f78a804dae9478f24877caf162b0871e36c9ac9dd388588df78c16302b
postgresql-8.1_8.1.18-0ubuntu0.6.06.dsc 1.1 KiB 41d40cea374a04841c8449c4a96fb837a05128d2df566158b5c1df2398662b23

View changes file

Binary packages built by this source

libecpg-compat2: No summary available for libecpg-compat2 in ubuntu dapper.

No description available for libecpg-compat2 in ubuntu dapper.

libecpg-dev: No summary available for libecpg-dev in ubuntu dapper.

No description available for libecpg-dev in ubuntu dapper.

libecpg5: No summary available for libecpg5 in ubuntu dapper.

No description available for libecpg5 in ubuntu dapper.

libpgtypes2: No summary available for libpgtypes2 in ubuntu dapper.

No description available for libpgtypes2 in ubuntu dapper.

libpq-dev: No summary available for libpq-dev in ubuntu dapper.

No description available for libpq-dev in ubuntu dapper.

libpq4: No summary available for libpq4 in ubuntu dapper.

No description available for libpq4 in ubuntu dapper.

postgresql-8.1: No summary available for postgresql-8.1 in ubuntu dapper.

No description available for postgresql-8.1 in ubuntu dapper.

postgresql-client-8.1: No summary available for postgresql-client-8.1 in ubuntu dapper.

No description available for postgresql-client-8.1 in ubuntu dapper.

postgresql-contrib-8.1: No summary available for postgresql-contrib-8.1 in ubuntu dapper.

No description available for postgresql-contrib-8.1 in ubuntu dapper.

postgresql-doc-8.1: No summary available for postgresql-doc-8.1 in ubuntu dapper.

No description available for postgresql-doc-8.1 in ubuntu dapper.

postgresql-plperl-8.1: No summary available for postgresql-plperl-8.1 in ubuntu dapper.

No description available for postgresql-plperl-8.1 in ubuntu dapper.

postgresql-plpython-8.1: No summary available for postgresql-plpython-8.1 in ubuntu dapper.

No description available for postgresql-plpython-8.1 in ubuntu dapper.

postgresql-pltcl-8.1: No summary available for postgresql-pltcl-8.1 in ubuntu dapper.

No description available for postgresql-pltcl-8.1 in ubuntu dapper.

postgresql-server-dev-8.1: No summary available for postgresql-server-dev-8.1 in ubuntu dapper.

No description available for postgresql-server-dev-8.1 in ubuntu dapper.